Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2253519

Description of problem:

After changing the value of 'Show New Host Overview Page' setting, "Reload Current Page" button in web browser does not work to

reflect the changed host overview page

How reproducible: Always

Steps to Reproduce:

1. Navigate to Satellite WebUI -> Administer -> Settings -> change the value of 'Show New Host Overview Page'. For example: Set it

to 'No' if it is currently 'Yes' OR set it to 'Yes' if it is currently 'No'.

(Lets say I am changing it from 'No' to 'Yes')

2. Go to Satellite WebUI -> Hosts -> All Hosts page. Still the old host overview page is displayed.

3. Reload the page multiple times using web browser reload button.

Actual results: Still the old host overview page is displayed even after reloading the web browser page multiple times.

Expected results: Reloading the page using web browser button should change the old host overview page to New Host Overview

Page.

Workaround-

Go to any other option, for example: Satellite WebUI -> Configure -> Host Groups. Now navigate back to Satellite WebUI -> Hosts ->

All Hosts page and the old host overview page has been changed to New Host Overview Page.

"Reload Current Page" button in web browser does not help to reflect the changed host overview page. After changing the value of

'Show New Host Overview Page' setting, user have to navigate to any other option in Satellite WebUI (for example: Satellite WebUI

-> Configure -> Host Groups) to get the changes reflected in Host Overview Page.

Associated revisions

Revision 0b40a64b - 01/16/2024 08:44 PM - Ron Lavi

Fixes #37013 - change the 'All hosts' menu item's url based on the `new_host_page` setting

After changing the `new_host_page` setting, the layout navigation still has the wrong hosts page link (the one it got initially)

and someone who wants to try this new functionallity can't access the page via the navigation.

Using ForemanContext, in this PR we are updating the menu item based on the changed setting.

History

#1 - 12/28/2023 12:38 PM - The Foreman Bot

05/21/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=2253519


- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9969 added

#2 - 01/16/2024 08:44 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#3 - 01/16/2024 09:00 PM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|0b40a64be53fb54843bccf2aa193cab0632c83b3.
